Support » Plugin: Conversios.io - Google Analytics and Google Shopping plugin for WooCommerce » Lots of issues trying to add tracking and enhanced analytics

  • Resolved rickwall

    (@rickwall)


    Hi,

    I am having an issue with a different analytic plugin so switched over to you guys. I have a long list of error messages appear when I try to add global site tag and enhanced tracking along with my analytics ID. Please see below screenshot:

    https://prnt.sc/o39qnc

    Any idea what may be causing all of these?? I have barely used this plugin. Google support advised me to download it for dynamic remarketing values which done the trick but never used it for analytics tagging.

    Any support would be great!

    Thanks,

    Ricky

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author Tatvic

    (@tatvic)

    Hi Ricky,

    Thank you for writing to us!

    That’s strange. We haven’t faced this type of issue earlier with any user. But while using our plugin, no need to add GA script manually from your end. Our plugin will automatically add gtag.js script. Suggest you remove the GA script added from your end.

    Hope this helps!

    Regards,

    Thread Starter rickwall

    (@rickwall)

    Hey Tatvic,

    Thanks for coming back to us.

    I have removed all analytics tracking code from the site and tried again but stil getting the same errors.

    The google analytics box where I should place my id (https://prnt.sc/o3r78u) is prefilled with the following after trying to save settings;

    <br /><b>Warning</b>: Illegal string offset ‘ga_id’ in <b>/home/theculx3/public_html/wp-content/plugins/enhanced-e-commerce-for-woocommerce-store/admin/partials/general-fields.php</b> on line <b>24</b><br />o

    Any suggestions on remedy?

    Thanks!

    Ricky

    Thread Starter rickwall

    (@rickwall)

    Line 24 of the file in question https://prnt.sc/o3ra63

    Ricky

    Plugin Author Tatvic

    (@tatvic)

    Hi Ricky,

    As mentioned, we haven’t faced this type of issue earlier with any user so it’s a matter of Investigation.

    Are you using child/custom theme for your store? If so then it may create an issue.

    Regards,

    Thread Starter rickwall

    (@rickwall)

    Hi Tatvic,

    I am using a child theme yes. Can you suggest a starting point for investigating issue here? Sorry but I have absolutely no idea :S

    Thanks so much!

    Ricky

    Plugin Author Tatvic

    (@tatvic)

    Hi Ricky,

    As we have mentioned in the description & FAQs of the plugin, the free version is not fully compatible with the child/custom theme.

    Additionally, It’s a notice only. This isn’t an error. You can Turn off Notice from the root directory.

    –> go to wp-config.php
    –> scroll down find the line “define(‘WP_DEBUG’, true);” (screenshot)
    –> just make it false.

    Hope this helps!

    Thanks & Regards,

    i have the exact same problem, im on php 7.2 Its not just warning that i can turn off. In the ID field there is this: “<br /><b>Warning</b>: Illegal string offset ‘ga_id’ in <b>/home/theculx3/public_html/wp-content/plugins/enhanced-e-commerce-for-woocommerce-store/admin/partials/general-fields.php</b> on line <b>24</b><br />”

    of course that is doesnt work, and if i try to put the google analytics ID it doesnt change it. It go back with error and that strange code.

    Same issue for me, the plugin has now stopped working including Google Analytics entirely.

    Trying to save my GA ID just gives me loads of errors now such as:
    Warning: array_key_exists() expects parameter 2 to be array, string given in /home/XXX/wp-content/plugins/enhanced-e-commerce-for-woocommerce-store/admin/class-enhanced-ecommerce-google-analytics-settings.php on line 58

    When can we expect a solution to this please?

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Lots of issues trying to add tracking and enhanced analytics’ is closed to new replies.